Subversion Repositories

?revision_form?
Rev ?revision_input??revision_submit?
?revision_endform?

Go to most recent revision | Show changed files | Directory listing | RSS feed

Filtering Options

Rev Age Author Path Log message Diff
44 3336d 03h magnus /tags/2.0.4-dfsg-3/ [svn-buildpackage] Tagging lsh-utils (2.0.4-dfsg-3)  
43 3336d 03h magnus /trunk/debian/ Drop obsolete manpages from debian/mans.  
42 3336d 03h magnus /trunk/debian/ Actually increase Standards-Version  
41 3336d 03h magnus /trunk/debian/ * Upgrade to Standards-Version 3.8.3:
* Add README.source.
 
40 3336d 04h magnus /trunk/debian/ Drop the no longer useful lsh-server-config script.  
39 3336d 04h magnus /trunk/debian/ * Rewrite lsh-server.init.d a bit:
* Use LSB logging functions.
* Let lshd daemonize and create/delete its pid file by itself.
* Change the Provides: line in the LSB header to "lsh-server" and
declare that it should start before the services that depend on an
SSH server (Closes: #542689). Thanks to Petter Reinholdtsen.
* Support the status action.
 
38 3336d 19h magnus /trunk/debian/ Close bug.  
37 3337d 05h magnus /trunk/debian/ Add ANNOUNCE to lsh-doc.  
36 3337d 05h magnus /trunk/debian/ Add ANNOUNCE to lsh-doc.  
35 3337d 05h magnus /trunk/debian/ Add ${misc:Depends} to Depends in case Debhelper needs it in the
future.
 
34 3337d 05h magnus /trunk/debian/patches/ Fix patch descriptions and author info.  
33 3337d 05h magnus /trunk/debian/ * Build with Nettle 2.0 (nettle-dev).
* nettle_2.0.dpatch created to adapt to API changes.
* 30_nonettle.dpatch modified to add -lhogweed to LDADD where
appropriate.
 
32 3337d 05h magnus /trunk/debian/ Increase Debhelper compat level to 5.  
31 3337d 05h magnus /trunk/debian/ Add ${misc:Depends} to Depends of arch: any packages in case Debhelper
needs it in the future.
 
30 3337d 05h magnus /trunk/debian/ lsh-doc: Depend on dpkg (>= 1.15.4) | install-info as recommended for
the transition to triggerized install-info.
 
26 3770d 10h magnus /trunk/debian/ I hear that --no-undefined / -z defs should be before --as-needed.  
25 3770d 10h magnus /trunk/debian/ Use --as-needed to avoid unnecessary dependencies.  
24 3770d 11h magnus /trunk/debian/ Upgrade lsh-client's Recommends of lsh-utils to a Depends. It's not
huge and lsh-client is almost useless without it in most cases
(Closes: #481073).
 
23 3770d 12h magnus /trunk/debian/ Remove inactive maintainer as requested by the MIA team and put myself
in charge (Closes: #487137).
 
22 3770d 12h magnus /trunk/debian/ Update doc-base section of lsh-doc to match current structure.  

Show All